@@echo off
@REM IVU - Installation Verification Utility 1.5.0
@REM 5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp., 1997, 2005
@REM All Rights Reserved  Licensed Materials  Property of IBM

@setlocal

@echo off

SET CUR_DIR=%cd%
cd /d "%~dp0.."
SET WAS_HOME=%cd%
cd /d "%CUR_DIR%"

SET JAVA_HOME=%WAS_HOME%\java
@REM PROFILE SCRIPT
IF NOT EXIST "%WAS_HOME%\properties\fsdb\_was_profile_default\default.bat" goto callsetup

:callscript
call "%WAS_HOME%"\properties\fsdb\_was_profile_default\default.bat
if errorlevel 1 goto notsupported

@REM CHECK WAS_USER_SCRIPT
:checkvar
@REM for default behavior and compatibility purposes, call setupCmdLine if WAS_USER_SCRIPT is not found
IF NOT defined WAS_USER_SCRIPT goto callsetup
call "%WAS_USER_SCRIPT%"
goto continue

@REM CALL SETUPCMDLINE
:callsetup
IF NOT EXIST "%~dp0setupCmdLine.bat" goto notsupported
call "%~dp0setupCmdLine.bat" %*
IF NOT defined USER_INSTALL_ROOT goto notsupported 
goto continue

@REM CONFIG PROFILE HOME
:notsupported
set USER_INSTALL_ROOT=%WAS_HOME%
@REM CONTINUE FROM HERE
:continue

@REM set DEBUG=-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777

set INSTALLVER_CLASSPATH=%WAS_HOME%\lib\installver.jar
set PROFILE_HOME=%USER_INSTALL_ROOT%

@REM Ensure JAVA_HOME is valid.
IF NOT EXIST "%JAVA_HOME%"\bin\java.exe goto callsetjava
goto callrunprog
:callsetjava
set JAVA_HOME=%WAS_HOME%\uninstall\java
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" goto callsetupdi
goto callrunprog
:callsetupdi
set JAVA_HOME=%WAS_HOME%\java\jre

:callrunprog
"%JAVA_HOME%\bin\java" %DEBUG% "-Dproduct.home=%WAS_HOME%" "-Dproduct.profile.home=%PROFILE_HOME%" -classpath "%INSTALLVER_CLASSPATH%" com.ibm.installver.IVU %*
@endlocal